<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.openapi.editor.ex.EditorMarkupModel void addInspectionWidgetAction(com.intellij.openapi.actionSystem.AnAction, com.intellij.openapi.actionSystem.Constraints)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean areStickyLinesShown()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isWheelFontChangePersistent()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx com.intellij.openapi.editor.LineNumberConverter getAdditionalLineNumberConverter()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean setStickyLinesShown(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet java.util.Map&lt;java.lang.String,java.lang.Boolean&gt; getLanguageBreadcrumbsMap()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.InlayModelEx">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setShowIntentionPreview(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx void setCanCloseAnnotations(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx PROP_FONT_SIZE_2D">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable int getHorizontalScrollJump()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet LINE_NUMERATION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void resetDefaultBreadcrumbVisibility()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable int getStickyLineLimit()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet VERTICAL_SCROLL_OFFSET">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setSmoothBlinkCaret(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.20869.19&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.PropNames PROP_ARE_LINE_NUMBERS_AFTER_ICONS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet ENABLE_RENDERED_DOC">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.FoldingListener void onCustomFoldRegionPropertiesChange(com.intellij.openapi.editor.CustomFoldRegion, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx PROP_HEADER_COMPONENT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.MyService MyService(kotlinx.coroutines.CoroutineScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet VERTICAL_SCROLL_JUMP">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setVerticalScrollJump(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorModel">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEventMulticasterEx void addFocusChangeListener(com.intellij.openapi.editor.ex.FocusChangeListener, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.4323.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean setBreadcrumbsShownFor(java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.TooltipAction void execute(com.intellij.openapi.editor.Editor, java.awt.event.InputEvent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet SHOW_INTENTION_PREVIEW">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.ErrorStripTooltipRendererProvider com.intellij.codeInsight.hint.TooltipRenderer calcTooltipRenderer(java.lang.String, com.intellij.openapi.editor.ex.TooltipAction, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEventMulticasterEx void addPropertyChangeListener(java.beans.PropertyChangeListener, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.PropNames PROP_IS_SMOOTH_CARET_BLINKING">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.20869.19&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setAnimatedCaret(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setAnimatedCaret(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.23567.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setHorizontalScrollOffset(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx void setFontSize(float)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_FOCUS_MODE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5532.39&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isSelectionWhitespacesShown()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable int getHorizontalScrollOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.FoldingListener void beforeFoldRegionDisposed(com.intellij.openapi.editor.FoldRegion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx int getHoveredFreeMarkersLine()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet SOFT_WRAP_FILE_MASKS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorModel com.intellij.openapi.editor.impl.FoldingModelInternal getFoldingModel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_WHEEL_FONTCHANGE_PERSISTENT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setGutterIconsShown(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx java.util.List&lt;com.intellij.openapi.util.Pair&lt;com.intellij.codeInsight.daemon.GutterMark,java.awt.Rectangle&gt;&gt; getGutterRenderersAndRectangles(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx ICON_CENTER_POSITION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6707.61&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.PropNames PROP_STICKY_LINES_LIMIT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_FULL_LINE_HEIGHT_CURSOR">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.RangeHighlighterEx java.awt.Color getForcedErrorStripeMarkColor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean areGutterIconsShown()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setBidiTextDirection(com.intellij.openapi.editor.ex.BidiTextDirection)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.FoldingListener void onFoldProcessingStart()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.PropNames">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.RangeHighlighterEx void setVisibleIfFolded(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3741.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.PrioritizedInternalDocumentListener void moveTextHappened(com.intellij.openapi.editor.Document, int, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.2153.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable com.intellij.openapi.editor.EditorSettings.LineNumerationType getLineNumeration()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean hasDefaultBreadcrumbSettings(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable com.intellij.openapi.editor.ex.BidiTextDirection getBidiTextDirection()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isShowNotificationAfterReformat()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isAnimatedCaret()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isAnimatedCaret()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.23567.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx com.intellij.codeInsight.daemon.GutterMark getGutterRenderer(java.awt.Point)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isUseEditorFontInInlays()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet SHOW_BREADCRUMBS_ABOVE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx void setInitialIconAreaWidth(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setLineNumeration(com.intellij.openapi.editor.EditorSettings.LineNumerationType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.RangeHighlighterEx void fireChanged(boolean, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_SELECTION_WHITESPACES_SHOWN">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorMarkupModel void removeInspectionWidgetAction(com.intellij.openapi.actionSystem.AnAction)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isRemoveTrailingBlankLines()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx boolean isInsideMarkerArea(java.awt.event.MouseEvent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isFocusMode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5532.39&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.PropNames PROP_IS_ANIMATED_CARET">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isFoldingOutlineShownOnlyOnHover()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isShowNotificationAfterOptimizeImports()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet SHOW_STICKY_LINES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable PROP_DOC_COMMENT_RENDERING">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx int getLineNumberAreaWidth()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.RangeHighlighterEx boolean isRenderedInGutter()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.DocumentEx int getModificationSequence()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isFullLineHeightCursor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.FoldingListener void beforeFoldRegionRemoved(com.intellij.openapi.editor.FoldRegion)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.711&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setHorizontalScrollJump(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isDocCommentRenderingEnabled()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isInsertParenthesesAutomatically()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setFoldingOutlineShownOnlyOnHover(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet SHOW_PARAMETER_NAME_HINTS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.5219.11&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet INSERT_PARENTHESES_AUTOMATICALLY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.TooltipAction">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.PropNames PROP_SHOW_STICKY_LINES_PER_LANGUAGE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx void installPopupHandler(com.intellij.openapi.editor.ex.EditorPopupHandler)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.FoldingListener.ChangeFlags">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx int getFoldingAreaOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet TOOLTIPS_DELAY_MS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setInsertParenthesesAutomatically(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx PROP_ONE_LINE_MODE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setFoldingEndingsShown(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setShowInspectionWidget(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx com.intellij.openapi.actionSystem.ActionGroup getPopupActionGroup(com.intellij.openapi.editor.event.EditorMouseEvent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setFocusMode(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5532.39&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.RangeHighlighterEx void copyFrom(com.intellij.openapi.editor.ex.RangeHighlighterEx)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.LoadingTooltipAction INSTANCE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.ErrorStripeListener void errorMarkerChanged(com.intellij.openapi.editor.ex.ErrorStripeEvent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable int getQuickDocOnMouseOverElementDelayMillis()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx void reserveLeftFreePaintersAreaWidth(com.intellij.openapi.Disposable, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx void uninstallPopupHandler(com.intellij.openapi.editor.ex.EditorPopupHandler)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isShowIntentionPreview()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_FOLDING_ENDINGS_SHOWN">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet HORIZONTAL_SCROLL_OFFSET">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable EditorSettingsExternalizable(com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OsSpecificState)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterFreePainterAreaState">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx java.lang.Runnable setLoadingIconForCurrentGutterMark()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean hasBreadcrumbSettings(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable TOOLTIPS_DELAY_RANGE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorPopupHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet ARE_GUTTER_ICONS_SHOWN">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.BidiTextDirection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable java.util.List&lt;java.lang.String&gt; getDisabledStickyLines()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable com.intellij.openapi.editor.EditorSettings.CaretEasing getCaretEasing()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.19799.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable BLINKING_RANGE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setCaretStopOptions(com.intellij.openapi.editor.actions.CaretStopOptions)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.AsyncTooltipAction">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setCaretEasing(com.intellij.openapi.editor.EditorSettings.CaretEasing)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.19799.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isKeepTrailingSpacesOnCaretLine()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.11103.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx boolean isPaintBackground()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet SHOW_INSPECTION_WIDGET">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setTooltipsDelay(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable int getVerticalScrollOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx int getHoveredFreeMarkersY()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.MarkupIterator com.intellij.openapi.editor.ex.MarkupIterator&lt;T&gt; emptyIterator()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean setStickyLinesShownFor(java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setKeepTrailingSpacesOnCaretLine(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.11103.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.DocumentFullUpdateListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.131&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.DocumentEx void addFullUpdateListener(com.intellij.openapi.editor.ex.DocumentFullUpdateListener)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.131&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEventMulticasterEx void addEditReadOnlyListener(com.intellij.openapi.editor.ex.EditReadOnlyListener, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isBreadcrumbsAbove()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.MyService kotlinx.coroutines.CoroutineScope getCs()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.409&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet java.util.Map&lt;java.lang.String,java.lang.Boolean&gt; getLanguageStickyLines()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable com.intellij.openapi.editor.actions.CaretStopOptions getCaretStopOptions()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.FoldingModelEx java.util.List&lt;com.intellij.openapi.editor.FoldRegion&gt; getRegionsOverlappingWith(int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.6682.168&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx void setRightFreePaintersAreaState(com.intellij.openapi.editor.ex.EditorGutterFreePainterAreaState)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean areStickyLinesShownFor(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx LOGICAL_LINE_AT_CURSOR">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5849.21&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setStickyLineLimit(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.RangeHighlighterEx boolean isPersistent()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isHighlightSelectionOccurrences()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OsSpecificState">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.PropNames PROP_IS_HIGHLIGHT_SELECTION_OCCURRENCES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isFoldingEndingsShown()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.FoldingListener void onFoldInitializationStatusChanged(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx int getStickyLinesPanelHeight()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorMarkupModel void setTrafficLightIconVisible(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable java.lang.String getSoftWrapFileMasks()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx void setCustomCursor(java.lang.Object, java.awt.Cursor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.FocusChangeListener void focusGained(com.intellij.openapi.editor.Editor, java.awt.event.FocusEvent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.5429.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx int getExtraLineMarkerFreePaintersAreaOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable int getVerticalScrollJump()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx java.util.List&lt;com.intellij.openapi.actionSystem.AnAction&gt; getTextAnnotationPopupActions(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean setBreadcrumbsShown(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setHighlightSelectionOccurrences(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.PropNames PROP_CARET_EASING">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.19799.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void addPropertyChangeListener(java.beans.PropertyChangeListener, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx int getLineNumberAreaOffset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet HORIZONTAL_SCROLL_JUMP">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.MarkupModelEx com.intellij.openapi.editor.ex.RangeHighlighterEx addRangeHighlighterAndChangeAttributes(com.intellij.openapi.editor.colors.TextAttributesKey, int, int, int, com.intellij.openapi.editor.markup.HighlighterTargetArea, boolean, com.intellij.util.Consumer&lt;? super com.intellij.openapi.editor.ex.RangeHighlighterEx&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx com.intellij.openapi.editor.LineNumberConverter getPrimaryLineNumberConverter()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.9559.62&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx java.util.List&lt;com.intellij.openapi.editor.TextAnnotationGutterProvider&gt; getTextAnnotations()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.3283.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setSmoothCaretMovement(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.23567.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx void setLeftFreePaintersAreaState(com.intellij.openapi.editor.ex.EditorGutterFreePainterAreaState)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx PROP_HIGHLIGHTER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isBreadcrumbsShownFor(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.PropNames PROP_SHOW_STICKY_LINES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet CARET_EASING">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.19799.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx void reserveRightFreePaintersAreaWidth(com.intellij.openapi.Disposable, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.MarkupIterator com.intellij.openapi.editor.ex.MarkupIterator&lt;T&gt; mergeIterators(com.intellij.openapi.editor.ex.MarkupIterator&lt;T&gt;, com.intellij.openapi.editor.ex.MarkupIterator&lt;T&gt;, java.util.Comparator&lt;? super T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2273.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isSmoothBlinkCaret()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.20869.19&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.RangeHighlighterEx boolean isVisibleIfFolded()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3741.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx com.intellij.openapi.editor.EditorGutterAction getAction(com.intellij.openapi.editor.TextAnnotationGutterProvider)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_ANIMATED_CARET">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.17801.80&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_ANIMATED_CARET">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;261.23567.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet KEEP_TRAILING_SPACE_ON_CARET_LINE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.11103.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.MarkupModelEx com.intellij.openapi.editor.ex.MarkupIterator&lt;com.intellij.openapi.editor.ex.RangeHighlighterEx&gt; overlappingGutterIterator(int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean setBreadcrumbsAbove(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.MarkupModelEx com.intellij.openapi.editor.ex.MarkupIterator&lt;com.intellij.openapi.editor.ex.RangeHighlighterEx&gt; overlappingErrorStripeIterator(int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.28294.334&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.FocusChangeListener void focusLost(com.intellij.openapi.editor.Editor, java.awt.event.FocusEvent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;183.5429.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet void setLanguageStickyLines(java.util.Map&lt;java.lang.String,java.lang.Boolean&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setWheelFontChangePersistent(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet REMOVE_TRAILING_BLANK_LINES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.MarkupModelEx com.intellij.openapi.editor.ex.RangeHighlighterEx addPersistentLineHighlighter(com.intellij.openapi.editor.colors.TextAttributesKey, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet void setLanguageBreadcrumbsMap(java.util.Map&lt;java.lang.String,java.lang.Boolean&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isShowInspectionWidget()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setVerticalScrollOffset(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void firePropertyChange(java.lang.String, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setFullLineHeightCursor(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx com.intellij.openapi.editor.ex.EditorEx getEditor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable boolean isSmoothCaretMovement()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.23567.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setDocCommentRenderingEnabled(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_HIGHLIGHT_SELECTION_OCCURRENCES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setSoftWrapFileMasks(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5109.14&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_SMOOTH_CARET_MOVEMENT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.23567.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx java.util.List&lt;com.intellij.codeInsight.daemon.GutterMark&gt; getGutterRenderers(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet STICKY_LINES_LIMIT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet USE_EDITOR_FONT_IN_INLAYS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorGutterComponentEx void addEditorGutterListener(com.intellij.openapi.editor.impl.EditorGutterListener, com.intellij.openapi.Disposable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5591.52&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet BIDI_TEXT_DIRECTION">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_SMOOTH_CARET_BLINKING">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;261.20869.19&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable.OptionSet IS_FOLDING_OUTLINE_SHOWN_ONLY_ON_HOVER">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setSelectionWhitespacesShown(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable int getTooltipsDelay()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.RangeHighlighterEx com.intellij.openapi.editor.markup.TextAttributes getForcedTextAttributes()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setRemoveTrailingBlankLines(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorSettingsExternalizable void setUseEditorFontInInlays(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.EditorEx void registerLineExtensionPainter(java.util.function.IntFunction&lt;java.util.Collection&lt;com.intellij.openapi.editor.LineExtensionInfo&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.editor.ex.DocumentEx void removeFullUpdateListener(com.intellij.openapi.editor.ex.DocumentFullUpdateListener)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.131&quot;"/>
    </annotation>
  </item>
</root>
